aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.ListGroups

Synopsis

- data ListGroups = ListGroups {
  - lgPathPrefix :: Maybe Text
  - lgMarker :: Maybe Text
  - lgMaxItems :: Maybe Integer
  }
- data ListGroupsResponse = ListGroupsResponse {
  - lgrGroups :: [Group]
  - lgrIsTruncated :: Bool
  - lgrMarker :: Maybe Text
  }
- data Group = Group {
  - groupArn :: Text
  - groupCreateDate :: UTCTime
  - groupPath :: Text
  - groupGroupId :: Text
  - groupGroupName :: Text
  }

# Documentation

data ListGroups #

Lists groups that have the specified path prefix.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_ListGroups.html

Constructors

ListGroups |

Fields

- lgPathPrefix :: Maybe Text

  Groups defined under this path will be listed. If omitted, defaults to `/`, which lists all groups.

- lgMarker :: Maybe Text

  Used for paginating requests. Marks the position of the last request.

- lgMaxItems :: Maybe Integer

  Used for paginating requests. Specifies the maximum number of items to return in the response. Defaults to 100.

#### Instances

Instances details

SignQuery ListGroups # |

Instance details

Defined in Aws.Iam.Commands.ListGroups

Associated Types

type ServiceConfiguration ListGroups |
Instance details Defined in Aws.Iam.Commands.ListGroups type ServiceConfiguration ListGroups = IamConfiguration

Methods

signQuery :: ListGroups -> ServiceConfiguration ListGroups queryType -> SignatureData -> SignedQuery #

Show ListGroups # |
Instance details Defined in Aws.Iam.Commands.ListGroups Methods showsPrec :: Int -> ListGroups -> ShowS # show :: ListGroups -> String # showList :: [ListGroups] -> ShowS #
Eq ListGroups # |
Instance details Defined in Aws.Iam.Commands.ListGroups Methods (==) :: ListGroups -> ListGroups -> Bool # (/=) :: ListGroups -> ListGroups -> Bool #
Ord ListGroups # |
Instance details Defined in Aws.Iam.Commands.ListGroups Methods compare :: ListGroups -> ListGroups -> Ordering # (<) :: ListGroups -> ListGroups -> Bool # (<=) :: ListGroups -> ListGroups -> Bool # (>) :: ListGroups -> ListGroups -> Bool # (>=) :: ListGroups -> ListGroups -> Bool # max :: ListGroups -> ListGroups -> ListGroups # min :: ListGroups -> ListGroups -> ListGroups #
IteratedTransaction ListGroups ListGroupsResponse # |
Instance details Defined in Aws.Iam.Commands.ListGroups Methods nextIteratedRequest :: ListGroups -> ListGroupsResponse -> Maybe ListGroups #
ResponseConsumer ListGroups ListGroupsResponse # |

Instance details

Defined in Aws.Iam.Commands.ListGroups

Associated Types

type ResponseMetadata ListGroupsResponse |
Instance details Defined in Aws.Iam.Commands.ListGroups type ResponseMetadata ListGroupsResponse = IamMetadata

Methods

responseConsumer :: Request -> ListGroups -> IORef (ResponseMetadata ListGroupsResponse) -> HTTPResponseConsumer ListGroupsResponse #

Transaction ListGroups ListGroupsResponse # |
Instance details Defined in Aws.Iam.Commands.ListGroups
type ServiceConfiguration ListGroups # |
Instance details Defined in Aws.Iam.Commands.ListGroups type ServiceConfiguration ListGroups = IamConfiguration

data ListGroupsResponse #

Constructors

ListGroupsResponse |

Fields

- lgrGroups :: [Group]

  List of `Group`s.

- lgrIsTruncated :: Bool

  `True` if the request was truncated because of too many items.

- lgrMarker :: Maybe Text

  Marks the position at which the request was truncated. This value must be passed with the next request to continue listing from the last position.

#### Instances

Instances details

AsMemoryResponse ListGroupsResponse # |

Instance details

Defined in Aws.Iam.Commands.ListGroups

Associated Types

type MemoryResponse ListGroupsResponse |
Instance details Defined in Aws.Iam.Commands.ListGroups type MemoryResponse ListGroupsResponse = ListGroupsResponse

Methods

loadToMemory :: ListGroupsResponse -> ResourceT IO (MemoryResponse ListGroupsResponse) #

Show ListGroupsResponse # |
Instance details Defined in Aws.Iam.Commands.ListGroups Methods showsPrec :: Int -> ListGroupsResponse -> ShowS # show :: ListGroupsResponse -> String # showList :: [ListGroupsResponse] -> ShowS #
Eq ListGroupsResponse # |
Instance details Defined in Aws.Iam.Commands.ListGroups Methods (==) :: ListGroupsResponse -> ListGroupsResponse -> Bool # (/=) :: ListGroupsResponse -> ListGroupsResponse -> Bool #
Ord ListGroupsResponse # |

Instance details

Defined in Aws.Iam.Commands.ListGroups

Methods

compare :: ListGroupsResponse -> ListGroupsResponse -> Ordering #

(<) :: ListGroupsResponse -> ListGroupsResponse -> Bool #

(<=) :: ListGroupsResponse -> ListGroupsResponse -> Bool #

(>) :: ListGroupsResponse -> ListGroupsResponse -> Bool #

(>=) :: ListGroupsResponse -> ListGroupsResponse -> Bool #

max :: ListGroupsResponse -> ListGroupsResponse -> ListGroupsResponse #

min :: ListGroupsResponse -> ListGroupsResponse -> ListGroupsResponse #

IteratedTransaction ListGroups ListGroupsResponse # |
Instance details Defined in Aws.Iam.Commands.ListGroups Methods nextIteratedRequest :: ListGroups -> ListGroupsResponse -> Maybe ListGroups #
ResponseConsumer ListGroups ListGroupsResponse # |

Instance details

Defined in Aws.Iam.Commands.ListGroups

Associated Types

type ResponseMetadata ListGroupsResponse |
Instance details Defined in Aws.Iam.Commands.ListGroups type ResponseMetadata ListGroupsResponse = IamMetadata

Methods

responseConsumer :: Request -> ListGroups -> IORef (ResponseMetadata ListGroupsResponse) -> HTTPResponseConsumer ListGroupsResponse #

Transaction ListGroups ListGroupsResponse # |
Instance details Defined in Aws.Iam.Commands.ListGroups
type MemoryResponse ListGroupsResponse # |
Instance details Defined in Aws.Iam.Commands.ListGroups type MemoryResponse ListGroupsResponse = ListGroupsResponse
type ResponseMetadata ListGroupsResponse # |
Instance details Defined in Aws.Iam.Commands.ListGroups type ResponseMetadata ListGroupsResponse = IamMetadata

data Group #

The IAM `Group` data type.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_Group.html

Constructors

Group |

Fields

- groupArn :: Text

  ARN used to refer to this group.

- groupCreateDate :: UTCTime

  Date and time at which the group was created.

- groupPath :: Text

  Path under which the group was created.

- groupGroupId :: Text

  Unique identifier used to refer to this group.

- groupGroupName :: Text

  Name of the group.

#### Instances

Instances details

Show Group # |
Instance details Defined in Aws.Iam.Core Methods showsPrec :: Int -> Group -> ShowS # show :: Group -> String # showList :: [Group] -> ShowS #
Eq Group # |
Instance details Defined in Aws.Iam.Core Methods (==) :: Group -> Group -> Bool # (/=) :: Group -> Group -> Bool #
Ord Group # |
Instance details Defined in Aws.Iam.Core Methods compare :: Group -> Group -> Ordering # (<) :: Group -> Group -> Bool # (<=) :: Group -> Group -> Bool # (>) :: Group -> Group -> Bool # (>=) :: Group -> Group -> Bool # max :: Group -> Group -> Group # min :: Group -> Group -> Group #